Nvidia Graphics driver gets removed by 'apt autoremove'

Getting your soundcard to work, using Debian on non-i386 hardware, etc

Nvidia Graphics driver gets removed by 'apt autoremove'

Postby Jimmy121 » 2018-10-15 14:50

Hello,

Recently, I installed Debian Gnome 9.5 (Stretch) 64bit. Then I got the drivers for my GT 1030, but when I tried to install steam, apt was telling me that 17 packages were about to be removed, all of them containg the word "nvidia" and replacing them with their 32bit version (:i386 ending). I installed steam anyway, and nothing happened. But when I run the command "apt autoremove" I see this:
Code: Select all
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages will be REMOVED:
  apparmor catdoc dvgrab gyp javascript-common kded5 kdenlive-data kinit
  libapparmor-perl libepub0 libjs-inherits libjs-jquery libjs-node-uuid
  libjs-underscore libkf5attica5 libkf5bookmarks-data libkf5bookmarks5
  libkf5filemetadata-bin libkf5filemetadata-data libkf5filemetadata3
  libkf5globalaccel-bin libkf5globalaccel-data libkf5globalaccel5
  libkf5globalaccelprivate5 libkf5kiofilewidgets5 libkf5newstuff-data
  libkf5newstuff5 libkf5notifyconfig-data libkf5notifyconfig5 libkf5xmlgui-bin
  libkf5xmlgui-data libkf5xmlgui5 libminiupnpc10 libmlt++3 libmlt-data libmlt6
  libmovit5 libnatpmp1 libopengl0-glvnd-nvidia libqt5qml5 libqt5quick5
  libquicktime2 librtaudio5a libsox-fmt-alsa libsox-fmt-base libsox2
  libssl1.0-dev libuv1 libuv1-dev libzip4 melt minissdpd nvidia-egl-common
  oxygen-icon-theme qml-module-qtgraphicaleffects qml-module-qtquick-controls
  qml-module-qtquick-layouts qml-module-qtquick-window2 qml-module-qtquick2
  recordmydesktop snap-confine squashfs-tools swh-plugins transmission-common
  ubuntu-core-launcher
0 upgraded, 0 newly installed, 65 to remove and 0 not upgraded.
After this operation, 167 MB disk space will be freed.
Do you want to continue? [Y/n] n
Abort.


(Some of the packages are kdenlive dependencies)

Should I get rid of those "nvidia" packages? Will it break my installation?
Jimmy121
 
Posts: 7
Joined: 2018-10-15 14:35

Re: Nvidia Graphics driver gets removed by 'apt autoremove'

Postby bw123 » 2018-10-15 15:37

Well kinit is certainly needed on kde, so if you are using plasma-desktop I wouldn't try removing it. Likewise, kdenlive-data is dependency of kdenlive.

pkg manager aptitude is really good at figuring these things out. I usually mark pkg as manually installed if I don't want it to be autremoveable. If you use aptitude to mark a pkg remove/purge and then see red, just cancel pending.
User avatar
bw123
 
Posts: 3522
Joined: 2011-05-09 06:02
Location: TN_USA

Re: Nvidia Graphics driver gets removed by 'apt autoremove'

Postby stevepusser » 2018-10-15 17:02

Please read the Debian wiki entry for installing steam on 64-bit.

Your problems seem to show that you may not have multiarch enabled, or perhaps installed the stretch-backports version of the Nvidia driver, so have to force the install of the i386 packages from backports also, since they have to match the 64-bit versions.
Last edited by stevepusser on 2018-10-16 17:50, edited 1 time in total.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Quod Libet 4.2.0, Pale Moon 28.2.0, wine-staging 3.20, GIMP 2.10.8, Liquorix kernel 4.18-22, Midori 6.0
User avatar
stevepusser
 
Posts: 10126
Joined: 2009-10-06 05:53

Re: Nvidia Graphics driver gets removed by 'apt autoremove'

Postby Jimmy121 » 2018-10-16 12:09

I ran this command to get the drivers installed:

Code: Select all
sudo apt install linux-headers-$(uname -r|sed 's/[^-]*-[^-]*-//') nvidia-driver


Before installing steam I remember running
Code: Select all
dpkg --add-architecture i386


And then checking
Code: Select all
dpkg --print-foreign-architectures
i368
Jimmy121
 
Posts: 7
Joined: 2018-10-15 14:35

Re: Nvidia Graphics driver gets removed by 'apt autoremove'

Postby stevepusser » 2018-10-16 17:52

Did you install from backports?

What is the result of

Code: Select all
apt policy nvidia-driver
?
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Quod Libet 4.2.0, Pale Moon 28.2.0, wine-staging 3.20, GIMP 2.10.8, Liquorix kernel 4.18-22, Midori 6.0
User avatar
stevepusser
 
Posts: 10126
Joined: 2009-10-06 05:53

Re: Nvidia Graphics driver gets removed by 'apt autoremove'

Postby Jimmy121 » 2018-10-17 12:02

It prints me this:
Code: Select all
nvidia-driver:
  Installed: 384.130-1
  Candidate: 384.130-1
  Version table:
 *** 384.130-1 500
        500 http://httpredir.debian.org/debian stretch/non-free amd64 Packages
        100 /var/lib/dpkg/status
Jimmy121
 
Posts: 7
Joined: 2018-10-15 14:35

Re: Nvidia Graphics driver gets removed by 'apt autoremove'

Postby stevepusser » 2018-10-17 17:14

I installed steam anyway, and nothing happened.


OK, not stretch-backports. But it looks like installing steam still went ahead and removed amd64 packages that you needed, not "nothing happened".

There is a log of what was installed and removed in /var/log/apt/history.log. Can you look through it and copypaste exactly what happened to your system?
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Quod Libet 4.2.0, Pale Moon 28.2.0, wine-staging 3.20, GIMP 2.10.8, Liquorix kernel 4.18-22, Midori 6.0
User avatar
stevepusser
 
Posts: 10126
Joined: 2009-10-06 05:53

Re: Nvidia Graphics driver gets removed by 'apt autoremove'

Postby Jimmy121 » 2018-10-18 14:06

Code: Select all
Start-Date: 2018-10-02  13:37:49
Commandline: /usr/bin/unattended-upgrade
Upgrade: linux-libc-dev:amd64 (4.9.110-3+deb9u4, 4.9.110-3+deb9u5), linux-compiler-gcc-6-x86:amd64 (4.9.110-3+deb9u4, 4.9.110-3+deb9u5), linux-headers-4.9.0-8-amd64:amd64 (4.9.110-3+deb9u4, 4.9.110-3+deb9u5), linux-kbuild-4.9:amd64 (4.9.110-3+deb9u4, 4.9.110-3+deb9u5), linux-headers-4.9.0-8-common:amd64 (4.9.110-3+deb9u4, 4.9.110-3+deb9u5), linux-image-4.9.0-8-amd64:amd64 (4.9.110-3+deb9u4, 4.9.110-3+deb9u5)
End-Date: 2018-10-02  13:38:30

Start-Date: 2018-10-04  19:41:15
Commandline: apt install steam
Requested-By: jimmy (1000)
Install: libudev1:i386 (232-25+deb9u4, automatic), steam:i386 (1.0.0.54-2), libxss1:i386 (1:1.2.2-1, automatic)
End-Date: 2018-10-04  19:41:29

Start-Date: 2018-10-04  19:56:25
Commandline: apt purge steam
Requested-By: jimmy (1000)
Purge: steam:i386 (1.0.0.54-2)
End-Date: 2018-10-04  19:56:37

Start-Date: 2018-10-04  19:58:38
Commandline: apt install -f
Requested-By: jimmy (1000)
Install: python-apt:amd64 (1.4.0~beta3, automatic)
End-Date: 2018-10-04  19:58:40

Start-Date: 2018-10-04  20:27:38
Commandline: apt install firmware-linux-nonfree
Requested-By: jimmy (1000)
Install: intel-microcode:amd64 (3.20180425.1~deb9u1, automatic), iucode-tool:amd64 (2.1.1-1, automatic), firmware-amd-graphics:amd64 (20161130-3, automatic), amd64-microcode:amd64 (3.20160316.3, automatic), firmware-linux-nonfree:amd64 (20161130-3), firmware-misc-nonfree:amd64 (20161130-3, automatic)
End-Date: 2018-10-04  20:28:00

Start-Date: 2018-10-04  20:29:37
Commandline: apt purge steam-launcher
Requested-By: jimmy (1000)
Purge: steam-launcher:amd64 (1.0.0.56)
End-Date: 2018-10-04  20:29:41

Start-Date: 2018-10-05  11:50:11
Commandline: apt install snapd
Requested-By: jimmy (1000)
Install: snapd:amd64 (2.21-2+b1), squashfs-tools:amd64 (1:4.3-3+deb9u1, automatic), snap-confine:amd64 (2.21-2+b1, automatic), libapparmor-perl:amd64 (2.11.0-3+deb9u2, automatic), ubuntu-core-launcher:amd64 (2.21-2+b1, automatic), apparmor:amd64 (2.11.0-3+deb9u2, automatic)
End-Date: 2018-10-05  11:50:33

Start-Date: 2018-10-05  12:37:33
Commandline: apt install steam
Requested-By: jimmy (1000)
Install: steam:i386 (1.0.0.54-2)
End-Date: 2018-10-05  12:37:51

Start-Date: 2018-10-05  12:58:32
Commandline: apt install libgl1-nvidia-glx:i386
Requested-By: jimmy (1000)
Install: libglx0-glvnd-nvidia:i386 (384.130-1, automatic), libvulkan1:i386 (1.0.39.0+dfsg1-1, automatic), libgles-nvidia1:i386 (384.130-1, automatic), libgles-nvidia2:i386 (384.130-1, automatic), nvidia-nonglvnd-vulkan-icd:amd64 (384.130-1, automatic), nvidia-nonglvnd-vulkan-icd:i386 (384.130-1, automatic), nvidia-driver-libs-nonglvnd-i386:i386 (384.130-1, automatic), libglvnd0-nvidia:i386 (384.130-1, automatic), libglx-nvidia0:i386 (384.130-1, automatic), libnvidia-egl-wayland1:i386 (384.130-1, automatic), libegl-nvidia0:i386 (384.130-1, automatic), libwayland-client0:i386 (1.12.0-1, automatic), libgles1-glvnd-nvidia:i386 (384.130-1, automatic), libgl1-nvidia-glx:amd64 (384.130-1, automatic), libgl1-nvidia-glx:i386 (384.130-1), libnvidia-cfg1:i386 (384.130-1, automatic), nvidia-egl-wayland-icd:i386 (384.130-1, automatic), nvidia-driver-libs-nonglvnd:amd64 (384.130-1, automatic), nvidia-driver-libs-nonglvnd:i386 (384.130-1, automatic), libegl1-nvidia:amd64 (384.130-1, automatic), libegl1-nvidia:i386 (384.130-1, automatic), libnvidia-glcore:i386 (384.130-1, automatic), nvidia-nonglvnd-vulkan-common:amd64 (384.130-1, automatic), libwayland-server0:i386 (1.12.0-1, automatic), libgles2-glvnd-nvidia:i386 (384.130-1, automatic), libnvidia-eglcore:i386 (384.130-1, automatic)
Remove: nvidia-vulkan-icd:amd64 (384.130-1), nvidia-egl-icd:amd64 (384.130-1), nvidia-vulkan-common:amd64 (384.130-1), libgl1-nvidia-glvnd-glx:amd64 (384.130-1), nvidia-driver-libs:amd64 (384.130-1), libgl1-glvnd-nvidia-glx:amd64 (384.130-1), libegl1-glvnd-nvidia:amd64 (384.130-1)
End-Date: 2018-10-05  12:59:22

Start-Date: 2018-10-05  13:11:29
Commandline: apt purge snapd
Requested-By: jimmy (1000)
Purge: snapd:amd64 (2.21-2+b1)
End-Date: 2018-10-05  13:11:36

Start-Date: 2018-10-06  09:13:58
Commandline: /usr/bin/unattended-upgrade
Upgrade: git-man:amd64 (1:2.11.0-3+deb9u3, 1:2.11.0-3+deb9u4), git:amd64 (1:2.11.0-3+deb9u3, 1:2.11.0-3+deb9u4)
End-Date: 2018-10-06  09:14:38

Start-Date: 2018-10-06  09:25:34
Commandline: packagekit role='remove-packages'
Requested-By: jimmy (1000)
Remove: gksu:amd64 (2.0.2-9+b1)
End-Date: 2018-10-06  09:25:38

Start-Date: 2018-10-06  09:25:57
Commandline: packagekit role='remove-packages'
Requested-By: jimmy (1000)
Remove: transmission-gtk:amd64 (2.92-2+deb9u1)
End-Date: 2018-10-06  09:26:00

Start-Date: 2018-10-06  09:29:22
Commandline: apt install gksu
Requested-By: jimmy (1000)
Install: gksu:amd64 (2.0.2-9+b1)
End-Date: 2018-10-06  09:29:25

Start-Date: 2018-10-06  19:37:34
Commandline: apt install nodejs
Requested-By: jimmy (1000)
Install: nodejs:amd64 (4.8.2~dfsg-1), libuv1:amd64 (1.9.1-3, automatic)
End-Date: 2018-10-06  19:37:42

Start-Date: 2018-10-06  19:38:22
Commandline: apt install npm
Requested-By: jimmy (1000)
Install: node-delayed-stream:amd64 (0.0.5-1, automatic), node-minimatch:amd64 (3.0.3-1, automatic), javascript-common:amd64 (11, automatic), node-is-builtin-module:amd64 (1.0.0-1, automatic), node-rimraf:amd64 (2.5.4-2, automatic), node-forever-agent:amd64 (0.5.1-1, automatic), node-spdx-license-ids:amd64 (1.2.2-1, automatic), node-brace-expansion:amd64 (1.1.6-1+deb9u1, automatic), node-hosted-git-info:amd64 (2.1.5-1, automatic), node-balanced-match:amd64 (0.4.2-1, automatic), node-fs.realpath:amd64 (1.0.0-1, automatic), node-form-data:amd64 (0.1.0-1, automatic), node-request:amd64 (2.26.1-1, automatic), node-semver:amd64 (5.3.0-1, automatic), node-gyp:amd64 (3.4.0-1, automatic), node-github-url-from-git:amd64 (1.4.0-1, automatic), node-ini:amd64 (1.1.0-1, automatic), node-fstream-ignore:amd64 (0.0.6-2, automatic), libjs-jquery:amd64 (3.1.1-2, automatic), node-archy:amd64 (1.0.0-1, automatic), libjs-underscore:amd64 (1.8.3~dfsg-1, automatic), gyp:amd64 (0.1+20150913git1f374df9-1, automatic), node-inherits:amd64 (2.0.3-1, automatic), node-read:amd64 (1.0.7-1, automatic), node-lockfile:amd64 (0.4.1-1, automatic), libuv1-dev:amd64 (1.9.1-3, automatic), node-node-uuid:amd64 (1.4.0-1, automatic), node-once:amd64 (1.4.0-2, automatic), node-abbrev:amd64 (1.0.9-1, automatic), node-inflight:amd64 (1.0.6-1, automatic), node-fstream:amd64 (1.0.10-1, automatic), node-tunnel-agent:amd64 (0.3.1-1, automatic), node-block-stream:amd64 (0.0.9-1, automatic), node-wrappy:amd64 (1.0.2-1, automatic), node-ansi:amd64 (0.3.0-2, automatic), node-sha:amd64 (1.2.3-1, automatic), node-builtin-modules:amd64 (1.1.1-1, automatic), npm:amd64 (1.4.21+ds-2), node-tar:amd64 (2.2.1-1, automatic), node-async:amd64 (0.8.0-1, automatic), node-lru-cache:amd64 (4.0.2-1, automatic), node-underscore:amd64 (1.8.3~dfsg-1, automatic), node-json-stringify-safe:amd64 (5.0.0-1, automatic), node-path-is-absolute:amd64 (1.0.0-1, automatic), node-normalize-package-data:amd64 (2.3.5-2, automatic), libjs-inherits:amd64 (2.0.3-1, automatic), node-cookie-jar:amd64 (0.3.1-1, automatic), node-read-package-json:amd64 (1.2.4-1, automatic), node-combined-stream:amd64 (0.0.5-1, automatic), node-spdx-expression-parse:amd64 (1.0.4-1, automatic), node-retry:amd64 (0.6.0-1, automatic), node-ansi-color-table:amd64 (1.0.0-1, automatic), node-mute-stream:amd64 (0.0.7-1, automatic), node-glob:amd64 (7.1.1-1, automatic), node-qs:amd64 (2.2.4-1, automatic), node-npmlog:amd64 (0.0.4-1, automatic), node-nopt:amd64 (3.0.6-3, automatic), libssl1.0-dev:amd64 (1.0.2l-2+deb9u3, automatic), nodejs-dev:amd64 (4.8.2~dfsg-1, automatic), node-spdx-correct:amd64 (1.0.2-1, automatic), libjs-node-uuid:amd64 (1.4.0-1, automatic), node-graceful-fs:amd64 (4.1.11-1, automatic), node-pseudomap:amd64 (1.0.2-1, automatic), node-osenv:amd64 (0.1.0-1, automatic), node-slide:amd64 (1.1.4-1, automatic), node-validate-npm-package-license:amd64 (3.0.1-1, automatic), node-mime:amd64 (1.3.4-1, automatic), node-yallist:amd64 (2.0.0-1, automatic), node-which:amd64 (1.2.11-1, automatic), node-isexe:amd64 (1.1.2-1, automatic), node-mkdirp:amd64 (0.5.0-1, automatic), node-concat-map:amd64 (0.0.1-1, automatic)
End-Date: 2018-10-06  19:39:18

Start-Date: 2018-10-07  10:29:08
Commandline: apt purge npm nodejs
Requested-By: jimmy (1000)
Purge: node-delayed-stream:amd64 (0.0.5-1), node-minimatch:amd64 (3.0.3-1), node-is-builtin-module:amd64 (1.0.0-1), node-rimraf:amd64 (2.5.4-2), node-forever-agent:amd64 (0.5.1-1), node-spdx-license-ids:amd64 (1.2.2-1), node-brace-expansion:amd64 (1.1.6-1+deb9u1), node-hosted-git-info:amd64 (2.1.5-1), node-balanced-match:amd64 (0.4.2-1), node-fs.realpath:amd64 (1.0.0-1), node-form-data:amd64 (0.1.0-1), node-request:amd64 (2.26.1-1), node-semver:amd64 (5.3.0-1), node-gyp:amd64 (3.4.0-1), node-github-url-from-git:amd64 (1.4.0-1), node-ini:amd64 (1.1.0-1), nodejs:amd64 (4.8.2~dfsg-1), node-fstream-ignore:amd64 (0.0.6-2), node-archy:amd64 (1.0.0-1), node-inherits:amd64 (2.0.3-1), node-read:amd64 (1.0.7-1), node-lockfile:amd64 (0.4.1-1), node-node-uuid:amd64 (1.4.0-1), node-once:amd64 (1.4.0-2), node-abbrev:amd64 (1.0.9-1), node-inflight:amd64 (1.0.6-1), node-fstream:amd64 (1.0.10-1), node-tunnel-agent:amd64 (0.3.1-1), node-block-stream:amd64 (0.0.9-1), node-wrappy:amd64 (1.0.2-1), node-ansi:amd64 (0.3.0-2), node-sha:amd64 (1.2.3-1), node-builtin-modules:amd64 (1.1.1-1), npm:amd64 (1.4.21+ds-2), node-tar:amd64 (2.2.1-1), node-async:amd64 (0.8.0-1), node-lru-cache:amd64 (4.0.2-1), node-underscore:amd64 (1.8.3~dfsg-1), node-json-stringify-safe:amd64 (5.0.0-1), node-path-is-absolute:amd64 (1.0.0-1), node-normalize-package-data:amd64 (2.3.5-2), node-cookie-jar:amd64 (0.3.1-1), node-read-package-json:amd64 (1.2.4-1), node-combined-stream:amd64 (0.0.5-1), node-spdx-expression-parse:amd64 (1.0.4-1), node-retry:amd64 (0.6.0-1), node-ansi-color-table:amd64 (1.0.0-1), node-mute-stream:amd64 (0.0.7-1), node-glob:amd64 (7.1.1-1), node-qs:amd64 (2.2.4-1), node-npmlog:amd64 (0.0.4-1), node-nopt:amd64 (3.0.6-3), nodejs-dev:amd64 (4.8.2~dfsg-1), node-spdx-correct:amd64 (1.0.2-1), node-graceful-fs:amd64 (4.1.11-1), node-pseudomap:amd64 (1.0.2-1), node-osenv:amd64 (0.1.0-1), node-slide:amd64 (1.1.4-1), node-validate-npm-package-license:amd64 (3.0.1-1), node-mime:amd64 (1.3.4-1), node-yallist:amd64 (2.0.0-1), node-which:amd64 (1.2.11-1), node-isexe:amd64 (1.1.2-1), node-mkdirp:amd64 (0.5.0-1), node-concat-map:amd64 (0.0.1-1)
End-Date: 2018-10-07  10:29:52

Start-Date: 2018-10-07  10:33:24
Commandline: apt install nodejs
Requested-By: jimmy (1000)
Install: nodejs:amd64 (8.12.0-1nodesource1)
End-Date: 2018-10-07  10:33:28

Start-Date: 2018-10-07  14:09:47
Commandline: apt install psensor
Requested-By: jimmy (1000)
Install: psensor-common:amd64 (1.1.5-1, automatic), libindicator3-7:amd64 (0.5.0-3+b1, automatic), libappindicator3-1:amd64 (0.4.92-4, automatic), libdbusmenu-gtk3-4:amd64 (12.10.2-2, automatic), libjson-c3:amd64 (0.12.1-1.1, automatic), psensor:amd64 (1.1.5-1+b2)
End-Date: 2018-10-07  14:09:57

Start-Date: 2018-10-09  14:17:30
Commandline: /usr/bin/unattended-upgrade
Upgrade: linux-libc-dev:amd64 (4.9.110-3+deb9u5, 4.9.110-3+deb9u6), linux-compiler-gcc-6-x86:amd64 (4.9.110-3+deb9u5, 4.9.110-3+deb9u6), linux-headers-4.9.0-8-amd64:amd64 (4.9.110-3+deb9u5, 4.9.110-3+deb9u6), linux-kbuild-4.9:amd64 (4.9.110-3+deb9u5, 4.9.110-3+deb9u6), linux-headers-4.9.0-8-common:amd64 (4.9.110-3+deb9u5, 4.9.110-3+deb9u6), linux-image-4.9.0-8-amd64:amd64 (4.9.110-3+deb9u5, 4.9.110-3+deb9u6)
End-Date: 2018-10-09  14:18:08

Start-Date: 2018-10-12  17:42:22
Commandline: apt install -f
Requested-By: jimmy (1000)
Install: libportaudio2:amd64 (19.6.0-1, automatic)
Remove: lightworks:amd64 (14.0.0.0)
End-Date: 2018-10-12  17:42:29

Start-Date: 2018-10-12  17:42:49
Commandline: apt install -f
Requested-By: jimmy (1000)
Remove: lightworks:amd64 (14.0.0.0)
End-Date: 2018-10-12  17:42:53

Start-Date: 2018-10-12  17:47:31
Commandline: apt install kdenlive
Requested-By: jimmy (1000)
Install: libkf5attica5:amd64 (5.28.0-1, automatic), libkf5xmlgui-bin:amd64 (5.28.0-1, automatic), kinit:amd64 (5.28.0-1, automatic), qml-module-qtquick-window2:amd64 (5.7.1-2+b2, automatic), libquicktime2:amd64 (2:1.2.4-10+deb9u1, automatic), libzip4:amd64 (1.1.2-1.1+b1, automatic), oxygen-icon-theme:amd64 (5:5.28.0-1, automatic), qml-module-qtquick2:amd64 (5.7.1-2+b2, automatic), recordmydesktop:amd64 (0.3.8.1+svn602-1+b2, automatic), libkf5kiofilewidgets5:amd64 (5.28.0-2, automatic), libkf5globalaccel5:amd64 (5.28.0-1, automatic), libkf5bookmarks-data:amd64 (5.28.0-1, automatic), qml-module-qtquick-controls:amd64 (5.7.1~20161021-2, automatic), frei0r-plugins:amd64 (1.5.0-1, automatic), libsox2:amd64 (14.4.1-5+b2, automatic), libkf5notifyconfig-data:amd64 (5.28.0-1, automatic), libkf5filemetadata3:amd64 (5.28.0-1+b2, automatic), qml-module-qtquick-layouts:amd64 (5.7.1-2+b2, automatic), kded5:amd64 (5.28.0-1, automatic), libopencv-ts2.4v5:amd64 (2.4.9.1+dfsg1-2, automatic), libkf5globalaccel-data:amd64 (5.28.0-1, automatic), libsox-fmt-alsa:amd64 (14.4.1-5+b2, automatic), libkf5bookmarks5:amd64 (5.28.0-1, automatic), swh-plugins:amd64 (0.4.17-2, automatic), libkf5notifyconfig5:amd64 (5.28.0-1, automatic), libopencv-contrib2.4v5:amd64 (2.4.9.1+dfsg1-2, automatic), libqt5qml5:amd64 (5.7.1-2+b2, automatic), kdenlive:amd64 (16.12.2-1), libopencv-photo2.4v5:amd64 (2.4.9.1+dfsg1-2, automatic), libopencv-gpu2.4v5:amd64 (2.4.9.1+dfsg1-2, automatic), libmlt-data:amd64 (6.4.1-4, automatic), libkf5newstuff5:amd64 (5.28.0-1, automatic), libopencv-stitching2.4v5:amd64 (2.4.9.1+dfsg1-2, automatic), kdenlive-data:amd64 (16.12.2-1, automatic), libkf5newstuff-data:amd64 (5.28.0-1, automatic), libkf5xmlgui5:amd64 (5.28.0-1, automatic), libkf5filemetadata-data:amd64 (5.28.0-1, automatic), libmlt++3:amd64 (6.4.1-4, automatic), libepub0:amd64 (0.2.2-4+b4, automatic), libopencv-superres2.4v5:amd64 (2.4.9.1+dfsg1-2, automatic), melt:amd64 (6.4.1-4, automatic), libopencv-legacy2.4v5:amd64 (2.4.9.1+dfsg1-2, automatic), catdoc:amd64 (1:0.94.3~git20160113.dbc9ec6+dfsg-1+deb9u1, automatic), libkf5globalaccel-bin:amd64 (5.28.0-1, automatic), dvgrab:amd64 (3.5+git20160707.1.e46042e-1, automatic), libkf5globalaccelprivate5:amd64 (5.28.0-1, automatic), libmovit5:amd64 (1.4.0-1, automatic), libopencv-ml2.4v5:amd64 (2.4.9.1+dfsg1-2, automatic), libkf5xmlgui-data:amd64 (5.28.0-1, automatic), librtaudio5a:amd64 (4.1.2~ds0-4, automatic), libsox-fmt-base:amd64 (14.4.1-5+b2, automatic), libgavl1:amd64 (1.4.0-4, automatic), libqt5quick5:amd64 (5.7.1-2+b2, automatic), libmlt6:amd64 (6.4.1-4, automatic), libopencv-videostab2.4v5:amd64 (2.4.9.1+dfsg1-2, automatic), qml-module-qtgraphicaleffects:amd64 (5.7.1~20161021-3, automatic), libkf5filemetadata-bin:amd64 (5.28.0-1+b2, automatic), libopencv-ocl2.4v5:amd64 (2.4.9.1+dfsg1-2, automatic)
End-Date: 2018-10-12  17:49:13

Start-Date: 2018-10-12  18:26:34
Commandline: apt purge kdenlive
Requested-By: jimmy (1000)
Purge: kdenlive:amd64 (16.12.2-1)
End-Date: 2018-10-12  18:26:37

Start-Date: 2018-10-12  18:32:49
Commandline: apt --fix-broken install
Requested-By: jimmy (1000)
Install: nvidia-cg-toolkit:amd64 (3.1.0013-2+b1, automatic), freeglut3:amd64 (2.8.1-3, automatic), libcg:amd64 (3.1.0013-2+b1, automatic), libcggl:amd64 (3.1.0013-2+b1, automatic), nvidia-cg-dev:amd64 (3.1.0013-2+b1, automatic)
End-Date: 2018-10-12  18:32:56

Start-Date: 2018-10-13  09:04:16
Commandline: /usr/bin/unattended-upgrade
Upgrade: libsnmp-base:amd64 (5.7.3+dfsg-1.7, 5.7.3+dfsg-1.7+deb9u1), libsnmp30:amd64 (5.7.3+dfsg-1.7, 5.7.3+dfsg-1.7+deb9u1)
End-Date: 2018-10-13  09:04:30

Start-Date: 2018-10-14  10:00:56
Commandline: /usr/bin/unattended-upgrade
Upgrade: libmagick++-6.q16-7:amd64 (8:6.9.7.4+dfsg-11+deb9u5, 8:6.9.7.4+dfsg-11+deb9u6), libimage-magick-perl:amd64 (8:6.9.7.4+dfsg-11+deb9u5, 8:6.9.7.4+dfsg-11+deb9u6), libimage-magick-q16-perl:amd64 (8:6.9.7.4+dfsg-11+deb9u5, 8:6.9.7.4+dfsg-11+deb9u6), imagemagick:amd64 (8:6.9.7.4+dfsg-11+deb9u5, 8:6.9.7.4+dfsg-11+deb9u6), libmagickwand-6.q16-3:amd64 (8:6.9.7.4+dfsg-11+deb9u5, 8:6.9.7.4+dfsg-11+deb9u6), imagemagick-6.q16:amd64 (8:6.9.7.4+dfsg-11+deb9u5, 8:6.9.7.4+dfsg-11+deb9u6), libmagickcore-6.q16-3:amd64 (8:6.9.7.4+dfsg-11+deb9u5, 8:6.9.7.4+dfsg-11+deb9u6), libmagickcore-6.q16-3-extra:amd64 (8:6.9.7.4+dfsg-11+deb9u5, 8:6.9.7.4+dfsg-11+deb9u6), imagemagick-6-common:amd64 (8:6.9.7.4+dfsg-11+deb9u5, 8:6.9.7.4+dfsg-11+deb9u6)
End-Date: 2018-10-14  10:02:43

Start-Date: 2018-10-14  15:04:06
Commandline: apt install mtools
Requested-By: jimmy (1000)
Install: mtools:amd64 (4.0.18-2+b1)
End-Date: 2018-10-14  15:04:12

Start-Date: 2018-10-15  15:57:27
Commandline: packagekit role='update-packages'
Upgrade: libportaudiocpp0:amd64 (19+svn20140130-1, 19.6.0-1)
End-Date: 2018-10-15  15:57:33

Start-Date: 2018-10-18  14:29:39
Commandline: /usr/bin/unattended-upgrade
Upgrade: libssh-gcrypt-4:amd64 (0.7.3-2, 0.7.3-2+deb9u1)
End-Date: 2018-10-18  14:29:45
Jimmy121
 
Posts: 7
Joined: 2018-10-15 14:35

Re: Nvidia Graphics driver gets removed by 'apt autoremove'

Postby stevepusser » 2018-10-18 18:17

This is the critical section:

Code: Select all
Start-Date: 2018-10-05  12:37:33
Commandline: apt install steam
Requested-By: jimmy (1000)
Install: steam:i386 (1.0.0.54-2)
End-Date: 2018-10-05  12:37:51

Start-Date: 2018-10-05  12:58:32
Commandline: apt install libgl1-nvidia-glx:i386
Requested-By: jimmy (1000)
Install: libglx0-glvnd-nvidia:i386 (384.130-1, automatic), libvulkan1:i386 (1.0.39.0+dfsg1-1, automatic), libgles-nvidia1:i386 (384.130-1, automatic), libgles-nvidia2:i386 (384.130-1, automatic), nvidia-nonglvnd-vulkan-icd:amd64 (384.130-1, automatic), nvidia-nonglvnd-vulkan-icd:i386 (384.130-1, automatic), nvidia-driver-libs-nonglvnd-i386:i386 (384.130-1, automatic), libglvnd0-nvidia:i386 (384.130-1, automatic), libglx-nvidia0:i386 (384.130-1, automatic), libnvidia-egl-wayland1:i386 (384.130-1, automatic), libegl-nvidia0:i386 (384.130-1, automatic), libwayland-client0:i386 (1.12.0-1, automatic), libgles1-glvnd-nvidia:i386 (384.130-1, automatic), libgl1-nvidia-glx:amd64 (384.130-1, automatic), libgl1-nvidia-glx:i386 (384.130-1), libnvidia-cfg1:i386 (384.130-1, automatic), nvidia-egl-wayland-icd:i386 (384.130-1, automatic), nvidia-driver-libs-nonglvnd:amd64 (384.130-1, automatic), nvidia-driver-libs-nonglvnd:i386 (384.130-1, automatic), libegl1-nvidia:amd64 (384.130-1, automatic), libegl1-nvidia:i386 (384.130-1, automatic), libnvidia-glcore:i386 (384.130-1, automatic), nvidia-nonglvnd-vulkan-common:amd64 (384.130-1, automatic), libwayland-server0:i386 (1.12.0-1, automatic), libgles2-glvnd-nvidia:i386 (384.130-1, automatic), libnvidia-eglcore:i386 (384.130-1, automatic)
Remove: nvidia-vulkan-icd:amd64 (384.130-1), nvidia-egl-icd:amd64 (384.130-1), nvidia-vulkan-common:amd64 (384.130-1), libgl1-nvidia-glvnd-glx:amd64 (384.130-1), nvidia-driver-libs:amd64 (384.130-1), libgl1-glvnd-nvidia-glx:amd64 (384.130-1), libegl1-glvnd-nvidia:amd64 (384.130-1)
End-Date: 2018-10-05  12:59:22


This will need some study. Apparently you still have nvidia-driver installed for amd64 installed, is that right?

Are you using the KDE desktop, or just install a KDE app like kdenlive? Did you remove kdenlive and make all those KDE runtimes autoremovable, which might be a normal thing and not related to the nvidia driver?
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Quod Libet 4.2.0, Pale Moon 28.2.0, wine-staging 3.20, GIMP 2.10.8, Liquorix kernel 4.18-22, Midori 6.0
User avatar
stevepusser
 
Posts: 10126
Joined: 2009-10-06 05:53

Re: Nvidia Graphics driver gets removed by 'apt autoremove'

Postby Jimmy121 » 2018-10-19 16:01

I'm using the GNOME Desktop. Yes, I've installed kdenlive and then got rid of it leaving the dependencies because I thought some of these packages are the Nvidia drivers due to their name.
Jimmy121
 
Posts: 7
Joined: 2018-10-15 14:35

Re: Nvidia Graphics driver gets removed by 'apt autoremove'

Postby stevepusser » 2018-10-19 18:09

OK, those autoremovable packages are almost all orphans of kdenlive and can be shown the door, and you should still have a working Nvidia driver after the autoremoves, as far as I can tell.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Quod Libet 4.2.0, Pale Moon 28.2.0, wine-staging 3.20, GIMP 2.10.8, Liquorix kernel 4.18-22, Midori 6.0
User avatar
stevepusser
 
Posts: 10126
Joined: 2009-10-06 05:53

Re: Nvidia Graphics driver gets removed by 'apt autoremove'

Postby Jimmy121 » 2018-10-20 11:49

Are you sure?
What about these?
Code: Select all
nvidia-egl-common squashfs-tools transmission-common ubuntu-core-launcher libopengl0-glvnd-nvidia
Jimmy121
 
Posts: 7
Joined: 2018-10-15 14:35

Re: Nvidia Graphics driver gets removed by 'apt autoremove'

Postby bw123 » 2018-10-20 17:05

Jimmy121 wrote:Are you sure?
What about these?
Code: Select all
nvidia-egl-common squashfs-tools transmission-common ubuntu-core-launcher libopengl0-glvnd-nvidia


One thing about aptitude pkg manager I really like: You can select a pkg, and view all the details, dependencies, etc. Near the bottom there is a section called, "Packages which depend on..." and if you open that you can see what pkgs you have currently installed that depend, recommend, or suggest the pkg you have selected.

Also helpful when you are in doubt: apt/apt-get -s, --simulate, --just-print, --dry-run, --recon, --no-act
User avatar
bw123
 
Posts: 3522
Joined: 2011-05-09 06:02
Location: TN_USA

Re: Nvidia Graphics driver gets removed by 'apt autoremove'

Postby stevepusser » 2018-10-20 17:09

Tansmission-common is an orphan from an install and removal of transmission, just like all the KDE stuff from kdenlive; the rest of the nvidia packages are options and not required for the nvidia driver, as far as I know.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Quod Libet 4.2.0, Pale Moon 28.2.0, wine-staging 3.20, GIMP 2.10.8, Liquorix kernel 4.18-22, Midori 6.0
User avatar
stevepusser
 
Posts: 10126
Joined: 2009-10-06 05:53

Re: Nvidia Graphics driver gets removed by 'apt autoremove'

Postby Jimmy121 » 2018-10-21 08:26

I run
Code: Select all
sudo apt autoremove
and then rebooted my system. It booted just fine and the "Nvidia X Server Settings" item is still in my App Drawer.

Thank you for your support :D
Jimmy121
 
Posts: 7
Joined: 2018-10-15 14:35


Return to Hardware

Who is online

Users browsing this forum: No registered users and 6 guests

fashionable